AndroidStudio打开旧项目报No-toolchains-found-in-the-NDK-toolchains-folder-for-ABI-with-prefix-mipsel-li...

今天从github下了个轮子,从日期看已经发布两年多了,用AndroidStudio打开加载报错
No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android

很明显跟ndk有关,通过 File -> Project Structure -> SDK Location Android NDK Location就是项目所使用的ndk目录,打开目录下的toolchains

1565248270.jpg

确实没有mipsel-linux-android开始的文件名,那这怎么办呢~

其实,主要原因是 新版本的NDK与3.0及以前旧版的Android Gradle plugin插件不兼容,既然是版本的问题,那么解决的方式有两种:

  • 更新gradle版本,使用跟其他项目一样的最新版。弊端:以前版本的用法会有一部分在新版本被移除,都需要更改,例如compile改为api/implementation,输出apk名称方式的更改等等。。
  • 下载旧版的NDK,将其中的toolchain复制到新版的NDK中。

如果采用更改gradle版本,就在项目下的build.gradle。然后Sync Now,开始改版本更改报出来的种种方法过时错误.

dependencies {
  classpath 'com.android.tools.build:gradle:3.3.2'
}

采用下载旧版的NDK方式,需要去官网下载旧版,如 https://developer.android.google.cn/ndk/downloads/older_releases.html 下载。

下载完成解压后,将报的错toolchains下缺的mipsel-linux-android开始的文件名的文件粘贴到项目所使用的ndk目录下即可。

原文链接

推荐阅读更多精彩内容